Name:           perl-Filter-Simple
Version:        0.79
Release:        5
Summary:        Filter-Simple Perl module

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Filter-Simple/
Source0:        http://www.cpan.org/authors/id/D/DC/DCONWAY/Filter-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Filter)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Source filtering is an immensely powerful feature of recent versions
of Perl. It allows one to extend the language itself (e.g. the Switch
module), to simplify the language (e.g. Language::Pythonesque), or to
completely recast the language (e.g.  Lingua::Romana::Perligata).
Effectively, it allows one to use the full power of Perl as its own,
recursively applied, macro language.

The excellent Filter::Util::Call module (by Paul Marquess) provides a
usable Perl interface to source filtering, but it is often too
powerful and not nearly as simple as it could be.


%prep
%setup -q -n Filter-Simple-%{version} 
chmod 644 Changes lib/Filter/* demo/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorlib}/Filter/
%{_mandir}/man3/*.3*


%changelog
* Thu Apr 21 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.79-5
- #155622
- Removed Parse::RecDescent from the requirements and build requirements lists.
- Bring up to date with current Fedora.Extras perl spec template.

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 0.79-4
- rebuild

* Fri Apr 23 2004 Chip Turner <cturner@redhat.com> 0.79-3
- bump

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 0.79-1
- move to 0.79, remove old test patch

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated

